--
-- $Id$
-- objectsoort is per ongeluk dubbel aangemaakt
-- omzetten objecten naar juiste objectsoort zodat onjuist aangemaakte verwijderd kan worden

DEFINE thisfile = 'FSN#41286.SQL'
DEFINE dbuser   = '^TEAR'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------
/* Formatted on 13-9-2018 18:09:49 (QP5 v5.136.908.31019) */
UPDATE ins_deel
   SET ins_srtdeel_key = 127
 WHERE ins_deel_key IN
             (SELECT ins_deel_key
                FROM ins_srtdeel so, ins_deel o
               WHERE so.ins_srtdeel_key = 521
                     AND o.ins_srtdeel_key = so.ins_srtdeel_key);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
